Skip to navigation

Delete Pickups

Delete pickups by providing a list of pickup_ids.

Examples

You can use the list of pickup_ids to delete the pickup items. This is achieved by appending the query string ?id:in=1,2,3 to the resource /pickup.

DELETE /pickup?id:in=1,2,3

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlongRequired
Comma separated list of pickup IDs.

Response

No Content